> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paycashless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all tax rates

> List all tax rates



## OpenAPI

````yaml GET /v1/tax_rates
openapi: 3.0.0
info:
  title: Paycashless API
  version: 1.1.0
servers:
  - url: https://api.paycashless.com
    description: Production
security: []
paths:
  /v1/tax_rates:
    get:
      tags:
        - tax_rates
      description: List all tax rates
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
            description: The number of tax rates to return
            example: 10
          required: false
          description: The number of tax rates to return
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: boolean
          required: false
          name: active
          in: query
        - schema:
            anyOf:
              - type: array
                items:
                  type: string
                  enum:
                    - vat
                    - sales_tax
              - type: string
                enum:
                  - vat
                  - sales_tax
          required: false
          name: taxType
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Minimum UNIX timestamp(in seconds) of when the tax rate was
              created (inclusive)
            example: 1712336881
          required: false
          description: >-
            Minimum UNIX timestamp(in seconds) of when the tax rate was created
            (inclusive)
          name: createdAt.gte
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Maximum UNIX timestamp(in seconds) of when the tax rate was
              created (inclusive)
            example: 1712336881
          required: false
          description: >-
            Maximum UNIX timestamp(in seconds) of when the tax rate was created
            (inclusive)
          name: createdAt.lte
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Maximum UNIX timestamp(in seconds) of when the tax rate was
              created (exclusive)
            example: 1712336881
          required: false
          description: >-
            Maximum UNIX timestamp(in seconds) of when the tax rate was created
            (exclusive)
          name: createdAt.lt
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Minimum UNIX timestamp(in seconds) of when the tax rate was
              created (exclusive)
            example: 1712336881
          required: false
          description: >-
            Minimum UNIX timestamp(in seconds) of when the tax rate was created
            (exclusive)
          name: createdAt.gt
          in: query
        - schema:
            type: string
            minLength: 1
            description: SHA-512 HMAC signature of the request payload using the API secret
            example: >-
              5e73d044c44d733fcf819ad3409aaaddca840d421b69cb0b04e2c750fc62ece7526d36296237663ad1f06f62a730c0466516507196b3ce6567493cc52a7cf63d
          required: true
          description: SHA-512 HMAC signature of the request payload using the API secret
          name: Request-Signature
          in: header
        - schema:
            type: string
            pattern: ^\d{10}$
            description: UNIX timestamp when the request was created (in seconds)
            example: '1712336881'
          required: true
          description: UNIX timestamp when the request was created (in seconds)
          name: Request-Timestamp
          in: header
      responses:
        '200':
          description: Tax rates retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  hasMore:
                    type: boolean
                  cursor:
                    type: string
                    nullable: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        active:
                          type: boolean
                        inclusive:
                          type: boolean
                        description:
                          type: string
                        percentage:
                          type: number
                        taxType:
                          type: string
                          enum:
                            - vat
                            - sales_tax
                        rateType:
                          type: string
                          enum:
                            - fixed_amount
                            - percentage
                        fixedAmount:
                          type: number
                        metadata:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: string
                              - type: number
                        liveMode:
                          type: boolean
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - name
                        - active
                        - inclusive
                        - description
                        - percentage
                        - taxType
                        - rateType
                        - fixedAmount
                        - liveMode
                        - createdAt
                        - updatedAt
                required:
                  - hasMore
                  - cursor
                  - data

````